Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Browse topics for SQL Studio

Get a browsable catalog of topics with schema metadata for the Query Playground.

GET/topics/catalog
Authorization
AuthorizationBearer token · headerrequired
Query parameters
pageinteger
min 1 · default: 1
page_sizeinteger
min 1 · max 500 · default: 50
searchstring | any

Partial topic name search

value_formatstring | any

Filter by serialization format (avro, json, protobuf, etc.)

Responses
200

Successful Response

pageinteger

Current page number

default: 1
page_sizeinteger

Results per page

default: 10
totalinteger | any

Total number of results

Show properties
Any of:
integer
integer
any
any
has_nextboolean | any

Whether more pages exist

Show properties
Any of:
boolean
boolean
any
any
resultKafkaTopicCatalogEntry[]required
Show properties
Array of KafkaTopicCatalogEntry
topic_idstringrequired

Kafka topic name (e.g., source_abc.public.users)

display_namestringrequired

Short display name for the sidebar

partition_countinteger

Number of partitions

default: 0
value_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
schema_fieldsobject[] | any

Schema fields from Schema Registry (list of {name, type} dicts), or None if no schema

Show properties
Any of:
object[]
Array of object
object
any
any
entity_typestring | any

Producer type: sources, transforms, manual

Show properties
Any of:
string
string
any
any
entity_idstring | any

Producer entity ID

Show properties
Any of:
string
string
any
any
entity_namestring | any

Producer entity display name

Show properties
Any of:
string
string
any
any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "https://api.streamkap.com/topics/catalog" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "page": 1,
  "page_size": 10,
  "total": 0,
  "has_next": true,
  "result": [
    {
      "topic_id": "string",
      "display_name": "string",
      "partition_count": 0,
      "value_format": "avro",
      "schema_fields": [
        {}
      ],
      "entity_type": "string",
      "entity_id": "string",
      "entity_name": "string"
    }
  ]
}